Subject: [PATCH] Fix typo in nedmalloc warning fix

From: Johannes Sixt <[email-masked]>
Date: Thu, 11 Jun 2009 22:52:56 +0200

Signed-off-by: Johannes Sixt <[email-masked]>
---
  Johannes Sixt schrieb:
  > Please don't advance this series to master just yet: I see severe breakage
  > with the nedmalloc patch on one of my systems, but I ran out of time to
  > investigate further. (And I'm afraid I can continue only next Monday.)

  So, I have the failure on my other system as well, and this is the fix ;)

  -- Hannes

  compat/nedmalloc/malloc.c.h |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/compat/nedmalloc/malloc.c.h b/compat/nedmalloc/malloc.c.h
index b5b1495..74c42e3 100644
--- a/compat/nedmalloc/malloc.c.h
+++ b/compat/nedmalloc/malloc.c.h
@@ -2543,7 +2543,7 @@ struct malloc_params {
  static struct malloc_params mparams;

  /* Ensure mparams initialized */
-#define ensure_initialization() ((void)(mparams.magic == 0 || init_mparams()))
+#define ensure_initialization() ((void)(mparams.magic != 0 || init_mparams()))

  #if !ONLY_MSPACES

-- 
1.6.3.2.1225.g177fa.dirty